VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::vmon::ServiceTypes::StartupType Class Reference

The `Service.StartupType` enumerated type defines valid Startup Type for services managed by vMon. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, MANUAL, AUTOMATIC, DISABLED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static StartupType[] | GetValues ()
static StartupType | ValueOf (string name)
## Static Public Attributes
static readonly StartupType | MANUAL = new StartupType("MANUAL", Values.MANUAL)
| Service Startup type is Manual, thus issuing an explicit start on the service will start it.
static readonly StartupType | AUTOMATIC = new StartupType("AUTOMATIC", Values.AUTOMATIC)
| Service Startup type is Automatic, thus during starting all services or issuing explicit start on the service will start it.
static readonly StartupType | DISABLED = new StartupType("DISABLED", Values.DISABLED)
| Service Startup type is Disabled, thus it will not start unless the startup type changes to manual or automatic.

## Detailed Description

The `Service.StartupType` enumerated type defines valid Startup Type for services managed by vMon.

## Member Enumeration Documentation

enum vmware::appliance::vmon::ServiceTypes::StartupType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  MANUAL | Service Startup type is Manual, thus issuing an explicit start on the service will start it.
  AUTOMATIC | Service Startup type is Automatic, thus during starting all services or issuing explicit start on the service will start it.
  DISABLED | Service Startup type is Disabled, thus it will not start unless the startup type changes to manual or automatic.

## Member Function Documentation

Values vmware::appliance::vmon::ServiceTypes::StartupType::GetEnumValue | ( |  | ) | `[inline]`

static StartupType [] vmware::appliance::vmon::ServiceTypes::StartupType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::vmon::ServiceTypes::StartupType::IsUnknown | ( |  | ) | `[inline]`

static StartupType vmware::appliance::vmon::ServiceTypes::StartupType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly StartupType vmware::appliance::vmon::ServiceTypes::StartupType::AUTOMATIC = new StartupType("AUTOMATIC", Values.AUTOMATIC)`[static]`

Service Startup type is Automatic, thus during starting all services or issuing explicit start on the service will start it.

readonly StartupType vmware::appliance::vmon::ServiceTypes::StartupType::DISABLED = new StartupType("DISABLED", Values.DISABLED)`[static]`

Service Startup type is Disabled, thus it will not start unless the startup type changes to manual or automatic.

readonly StartupType vmware::appliance::vmon::ServiceTypes::StartupType::MANUAL = new StartupType("MANUAL", Values.MANUAL)`[static]`

Service Startup type is Manual, thus issuing an explicit start on the service will start it.

The documentation for this class was generated from the following file:

- appliance/vmon/ServiceTypes.cs